#!/usr/bin/python3
import sys
import json
import pandas as pd

import sclab_website as sclab

def read_sensors(idx,Start_time,End_time):
    cfg = {
     'SCLAB_API_URL': 'https://umwelttechnik-swc.uibk.ac.at/api',
     'SCLAB_API_USER': '',
     'SCLAB_API_PASS': '',
    }
    sampling = "best"

    success, value = sclab.read_datapoints(cfg, idx, int(Start_time.timestamp()), int(End_time.timestamp()), sampling)
    if not success:
        print("oh no :( ... I got this {}".format(value), file=sys.stderr)
        exit(1)

    # do something with the data ...
    date = []
    values = []

    for timestamp, val in value["values"]:
        date.append(pd.to_datetime(timestamp,unit="s"))
        values.append(val)

    series = pd.Series(values,date)
    return series

def read_single_sensor(idx):
    cfg = {
     'SCLAB_API_URL': 'https://umwelttechnik-swc.uibk.ac.at/api',
     'SCLAB_API_USER': '',
     'SCLAB_API_PASS': '',
    }    

    success, value = sclab.read_last_value(cfg, idx)
    if not success:
        print("oh no :( ... I got this {}".format(value), file=sys.stderr)
        exit(1)

    date = []
    values = []
    date.append(pd.to_datetime(value['timestamp'], unit='s'))
    values.append(value['value'])

    series = pd.Series(values, date)
    return series